<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version=".0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="UTF-8" doctype-system="html" indent="yes" />
<xsl:template match="/">
<html>
<body>
  <h1>Ma librairie</h1>
  <h2>Nos Romans</h2>
  <table border="1">
    <tr bgcolor="#9acd32">
      <th style="text-align:left">titre</th>
      <th style="text-align:left">auteur</th>
      <th style="text-align:left">saga</th>
      <th style="text-align:left">volume</th>
      <th style="text-align:left">collection</th>
      <th style="text-align:left">type</th>
      <th style="text-align:left">prix</th>
    </tr>
    <xsl:for-each select="librairie/child::roman"><!-- [@type='sf']" > -->
        <tr>
        <td style="color:blue"><xsl:value-of select="titre"/></td>
        <td><xsl:value-of select="auteur"/></td>
        <td><xsl:value-of select="saga"/></td>
        <td><xsl:value-of select="vol"/></td>
        <td><xsl:value-of select="collection"/></td>
        	<td><xsl:value-of select="@type"/></td>
          	<td><xsl:value-of select="prix[@devise='eur']"/></td>
        </tr>
    </xsl:for-each>
  </table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
